#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID



echo "Installing statexplorer dependencies"
pushd "/usr/share/ombutel/www/statexplorer/api/scripts" > /dev/null
npm remove html-pdf-node selenium-webdriver jszip node-fetch
cat > package.json <<- "EOF"
{
  "dependencies": {
    "html-pdf-node": "1.0.7",
    "jszip": "3.6.0",
    "node-fetch": "2.6.1",
    "selenium-webdriver": "4.1.1"
  }
}
EOF
npm install
popd > /dev/null